# SOLAR oznacevanje ucitelj/ucenec

## Dodaj IDje

"Pametno" doda ozbo\_id k vsem besedam v SOLAR xmlu.

``` python3 add_ids.py SOLAR.xml SOLAR_ID.xml ```

## Loci ucenec/ucitelj

Loci velik xml v skupek ucenec in skupek ucitelj xml-ov, vsak predstavlja \<text\> element iz vhodnega xml-a. Vse datoteke se izpisejo v mapi `student` in `teacher`.

```python3 separate.py SOLAR_ID.xml```

## Uporabi izhod tagger-ja

Denimo da damo mapo `student` skozi taggerja in dobimo izhod v mapi `student-out`. Vsaka mapa ima polno datotek: `0.xml, 1.xml,...`. Zdruzimo ozbo_id informacijo z informacijo taggerja:

```python3 student student-out tags.p```

To pozenemo prvo za ucenca in potem za ucitelja.

## Nazaj v original datoteko

Sedaj samo poberemo informacije iz `tags.p` in jih damo nazaj v vhodne xml-e. 

```python3 merge_back.py tags.p SOLAR_ID.xml SOLAR_OUT.xml```

